Subject: Bug#3980: netstd many compiler warnings

From: Ian Jackson <[email-masked]>
Date: Wed, 31 Jul 96 14:55 BST

Package: netstd
Version: 2.05-1

I've noticed a very large number of alarming-looking compiler
warnings, such as:
 docmd.c:502: warning: passing arg 1 of `strcmp' makes pointer from integer without a cast
 util.c:220: warning: comparison between pointer and integer
 main.c:123: warning: passing arg 2 of `signal' from incompatible pointer type
 kernel/linux.c:54: warning: long unsigned int format, in_addr arg (arg 4)

These are just fragments of the transcript I'm using as examples.
Each of these warnings occurs many times in many parts of the source
tree.

I haven't investigated any of them in detail, but at least some of
these warnings are very serious and are likely to make the code fail
on a 64-bit machine.

The whole package should be repeatedly recompiled with -Werror and
edited until all the problems fixed.  Unfortunately this is a very big
job.

Where did all this exceedling sloppy code come from, and can I kill
the programmer(s) now ?

Ian.